# From /opt/backstory run:
# python -m src.tests.test-chunker
import json
import sys
import os

sys.path.append(os.path.abspath(os.path.join(os.path.dirname(__file__), "../utils")))
from markdown_chunker import MarkdownChunker  # type: ignore

chunker = MarkdownChunker()
chunks = chunker.process_file("./src/tests/test.md")  # docs/resume/resume.md")
for chunk in chunks:
    print("*" * 50)
    print(json.dumps(chunk, indent=2))
